summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorsrikar <srikar>2007-08-27 14:18:19 +0000
committersrikar <srikar>2007-08-27 14:18:19 +0000
commit8905eef6eb93fa96ec1ba8a44d1e8fb3d8e73ebc (patch)
tree8a9424a6e71a1a187a88feba664cbb90b95c6110
parent761990a14edfad9d99fc57e885e153091e10dca8 (diff)
downloadsystemtap-steved-8905eef6eb93fa96ec1ba8a44d1e8fb3d8e73ebc.tar.gz
systemtap-steved-8905eef6eb93fa96ec1ba8a44d1e8fb3d8e73ebc.tar.xz
systemtap-steved-8905eef6eb93fa96ec1ba8a44d1e8fb3d8e73ebc.zip
Changes in configure scripts, Makefiles required for removing LKET from
systemtap (PR 4817)
-rw-r--r--Makefile.am5
-rw-r--r--Makefile.in14
-rwxr-xr-xconfigure37
-rw-r--r--configure.ac16
-rw-r--r--cscope.files2
-rw-r--r--main.cxx2
-rw-r--r--man/stapprobes.iosched.5.in1
-rw-r--r--man/stapprobes.netdev.5.in1
-rw-r--r--man/stapprobes.nfs.5.in1
-rw-r--r--man/stapprobes.nfsd.5.in1
-rw-r--r--man/stapprobes.pagefault.5.in1
-rw-r--r--man/stapprobes.process.5.in1
-rw-r--r--man/stapprobes.rpc.5.in1
-rw-r--r--man/stapprobes.scsi.5.in1
-rw-r--r--man/stapprobes.signal.5.in1
-rw-r--r--man/stapprobes.tcp.5.in1
-rw-r--r--man/stapprobes.udp.5.in1
-rw-r--r--stap.1.in1
-rw-r--r--stapprobes.5.in1
-rw-r--r--staprun.8.in1
-rw-r--r--systemtap.spec.in1
-rw-r--r--testsuite/systemtap.pass1-4/buildok.exp1
22 files changed, 7 insertions, 85 deletions
diff --git a/Makefile.am b/Makefile.am
index 5b9353b8..fc6c9aa8 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -10,7 +10,7 @@ AM_CPPFLAGS = -DBINDIR='"$(bindir)"' -DPKGDATADIR='"${pkgdatadir}"' -DPKGLIBDIR=
AM_CFLAGS = -D_GNU_SOURCE -fexceptions -Wall -Wextra -Werror -Wshadow -Wunused -Wformat=2 -W
AM_CXXFLAGS = -Wall -Wextra -Werror
-dist_man_MANS = stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 lket.5 lket-b2a.1 man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5
+dist_man_MANS = stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5
bin_PROGRAMS = stap staprun
stap_SOURCES = main.cxx \
parse.cxx staptree.cxx elaborate.cxx translate.cxx \
@@ -162,9 +162,6 @@ uninstall-local:
# XXX: leaves behind man pages
SUBDIRS = testsuite
-if BUILD_LKET_B2A
- SUBDIRS += runtime/lket/b2a
-endif
check:
SRCDIR=`cd $(srcdir); pwd`; \
diff --git a/Makefile.in b/Makefile.in
index 3dd67fd6..2653d505 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -41,12 +41,10 @@ bin_PROGRAMS = stap$(EXEEXT) staprun$(EXEEXT)
@BUILD_ELFUTILS_FALSE@stap_DEPENDENCIES =
pkglibexec_PROGRAMS = stapio$(EXEEXT)
noinst_PROGRAMS = loc2c-test$(EXEEXT)
-@BUILD_LKET_B2A_TRUE@am__append_4 = runtime/lket/b2a
subdir = .
DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
- $(srcdir)/config.in $(srcdir)/lket-b2a.1.in \
- $(srcdir)/lket.5.in $(srcdir)/stap.1.in $(srcdir)/stapex.5.in \
+ $(srcdir)/config.in $(srcdir)/stap.1.in $(srcdir)/stapex.5.in \
$(srcdir)/stapfuncs.5.in $(srcdir)/stapprobes.5.in \
$(srcdir)/staprun.8.in $(srcdir)/systemtap.spec.in \
$(top_srcdir)/configure \
@@ -73,7 +71,7 @@ am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = systemtap.spec stap.1 stapprobes.5 stapfuncs.5 \
- stapex.5 staprun.8 lket.5 lket-b2a.1 man/stapprobes.iosched.5 \
+ stapex.5 staprun.8 man/stapprobes.iosched.5 \
man/stapprobes.netdev.5 man/stapprobes.nfs.5 \
man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 \
man/stapprobes.process.5 man/stapprobes.rpc.5 \
@@ -149,7 +147,7 @@ RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
-DIST_SUBDIRS = testsuite runtime/lket/b2a
+DIST_SUBDIRS = testsuite
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
@@ -266,7 +264,7 @@ pkglibexecdir = ${libexecdir}/${PACKAGE}
AM_CPPFLAGS = -DBINDIR='"$(bindir)"' -DPKGDATADIR='"${pkgdatadir}"' -DPKGLIBDIR='"$(pkglibexecdir)"'
AM_CFLAGS = -D_GNU_SOURCE -fexceptions -Wall -Wextra -Werror -Wshadow -Wunused -Wformat=2 -W
AM_CXXFLAGS = -Wall -Wextra -Werror
-dist_man_MANS = stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 lket.5 lket-b2a.1 man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5
+dist_man_MANS = stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5
stap_SOURCES = main.cxx \
parse.cxx staptree.cxx elaborate.cxx translate.cxx \
tapsets.cxx buildrun.cxx loc2c.c hash.cxx mdfour.c \
@@ -390,10 +388,6 @@ stapex.5: $(top_builddir)/config.status $(srcdir)/stapex.5.in
cd $(top_builddir) && $(SHELL) ./config.status $@
staprun.8: $(top_builddir)/config.status $(srcdir)/staprun.8.in
cd $(top_builddir) && $(SHELL) ./config.status $@
-lket.5: $(top_builddir)/config.status $(srcdir)/lket.5.in
- cd $(top_builddir) && $(SHELL) ./config.status $@
-lket-b2a.1: $(top_builddir)/config.status $(srcdir)/lket-b2a.1.in
- cd $(top_builddir) && $(SHELL) ./config.status $@
man/stapprobes.iosched.5: $(top_builddir)/config.status $(top_srcdir)/man/stapprobes.iosched.5.in
cd $(top_builddir) && $(SHELL) ./config.status $@
man/stapprobes.netdev.5: $(top_builddir)/config.status $(top_srcdir)/man/stapprobes.netdev.5.in
diff --git a/configure b/configure
index 5a661933..7198bdba 100755
--- a/configure
+++ b/configure
@@ -709,8 +709,6 @@ sqlite3_LIBS
BUILD_ELFUTILS_TRUE
BUILD_ELFUTILS_FALSE
elfutils_abs_srcdir
-BUILD_LKET_B2A_TRUE
-BUILD_LKET_B2A_FALSE
BUILD_CRASHMOD_TRUE
BUILD_CRASHMOD_FALSE
MYSQL_CONFIG
@@ -6068,16 +6066,6 @@ fi
`
- if pkg-config --atleast-version 2.0.0 glib-2.0; then
- BUILD_LKET_B2A_TRUE=
- BUILD_LKET_B2A_FALSE='#'
-else
- BUILD_LKET_B2A_TRUE='#'
- BUILD_LKET_B2A_FALSE=
-fi
-
-
-
for ac_header in crash/defs.h
do
@@ -6558,14 +6546,8 @@ fi
echo "${ECHO_T}$ac_cv_lib_mysqlclient_mysql_init" >&6; }
if test $ac_cv_lib_mysqlclient_mysql_init = yes; then
mysql=true
-else
- { echo "$as_me:$LINENO: *** Cannot find mysqlclient lib. lket-b2a will be built without MySQL support." >&5
-echo "$as_me: *** Cannot find mysqlclient lib. lket-b2a will be built without MySQL support." >&6;}
fi
-else
- { echo "$as_me:$LINENO: *** Cannot find mysql header file. lket-b2a will be built without MySQL support." >&5
-echo "$as_me: *** Cannot find mysql header file. lket-b2a will be built without MySQL support." >&6;}
fi
done
@@ -6591,13 +6573,6 @@ fi
LDFLAGS=$SAVE_LDFLAGS
CPPFLAGS=$SAVE_CPPFLAGS
-if ! pkg-config --atleast-version 2.0.0 glib-2.0; then
- { echo "$as_me:$LINENO: WARNING: glib2-devel is required to build lket-b2a.
- no glib2-devel found, skip building lket-b2a..." >&5
-echo "$as_me: WARNING: glib2-devel is required to build lket-b2a.
- no glib2-devel found, skip building lket-b2a..." >&2;}
-fi
-
if test $build_elfutils = no; then
# Need libdwfl-capable recent elfutils from Fedora
save_LIBS="$LIBS"
@@ -6873,7 +6848,7 @@ CFLAGS="$SAVE_CFLAGS"
ac_config_headers="$ac_config_headers config.h:config.in"
-ac_config_files="$ac_config_files Makefile systemtap.spec stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 lket.5 lket-b2a.1 runtime/lket/b2a/Makefile man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5"
+ac_config_files="$ac_config_files Makefile systemtap.spec stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5"
subdirs="$subdirs testsuite"
@@ -7016,13 +6991,6 @@ echo "$as_me: error: conditional \"BUILD_ELFUTILS\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
-if test -z "${BUILD_LKET_B2A_TRUE}" && test -z "${BUILD_LKET_B2A_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"BUILD_LKET_B2A\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"BUILD_LKET_B2A\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
if test -z "${BUILD_CRASHMOD_TRUE}" && test -z "${BUILD_CRASHMOD_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"BUILD_CRASHMOD\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
@@ -7520,9 +7488,6 @@ do
"stapfuncs.5") CONFIG_FILES="$CONFIG_FILES stapfuncs.5" ;;
"stapex.5") CONFIG_FILES="$CONFIG_FILES stapex.5" ;;
"staprun.8") CONFIG_FILES="$CONFIG_FILES staprun.8" ;;
- "lket.5") CONFIG_FILES="$CONFIG_FILES lket.5" ;;
- "lket-b2a.1") CONFIG_FILES="$CONFIG_FILES lket-b2a.1" ;;
- "runtime/lket/b2a/Makefile") CONFIG_FILES="$CONFIG_FILES runtime/lket/b2a/Makefile" ;;
"man/stapprobes.iosched.5") CONFIG_FILES="$CONFIG_FILES man/stapprobes.iosched.5" ;;
"man/stapprobes.netdev.5") CONFIG_FILES="$CONFIG_FILES man/stapprobes.netdev.5" ;;
"man/stapprobes.nfs.5") CONFIG_FILES="$CONFIG_FILES man/stapprobes.nfs.5" ;;
diff --git a/configure.ac b/configure.ac
index 0829f416..58a18698 100644
--- a/configure.ac
+++ b/configure.ac
@@ -95,9 +95,6 @@ AM_CONDITIONAL(BUILD_ELFUTILS, test $build_elfutils = yes)
AC_SUBST(elfutils_abs_srcdir, `AS_IF([test $build_elfutils = yes],
[cd $with_elfutils && pwd])`)
-AM_CONDITIONAL(BUILD_LKET_B2A, pkg-config --atleast-version 2.0.0 glib-2.0)
-
-
AC_CHECK_HEADERS(crash/defs.h,
build_crashmod=yes,build_crashmod=no,
[
@@ -123,23 +120,12 @@ else
LDFLAGS="`mysql_config --libs` $LDFLAGS"
fi
-AC_CHECK_HEADERS(mysql/mysql.h,
- AC_CHECK_LIB(mysqlclient, mysql_init,
- mysql=true,
- AC_MSG_NOTICE([*** Cannot find mysqlclient lib. lket-b2a will be built without MySQL support.]), []),
- AC_MSG_NOTICE([*** Cannot find mysql header file. lket-b2a will be built without MySQL support.]), [])
-
AM_CONDITIONAL(HAS_MYSQL, test "$mysql" = "true")
AM_CONDITIONAL(HAS_MYSQL_CONFIG, test "$MYSQL_CONFIG" != "no")
LDFLAGS=$SAVE_LDFLAGS
CPPFLAGS=$SAVE_CPPFLAGS
-if ! pkg-config --atleast-version 2.0.0 glib-2.0; then
- AC_MSG_WARN([glib2-devel is required to build lket-b2a.
- no glib2-devel found, skip building lket-b2a...])
-fi
-
if test $build_elfutils = no; then
# Need libdwfl-capable recent elfutils from Fedora
save_LIBS="$LIBS"
@@ -187,7 +173,7 @@ LIBS="$SAVE_LIBS"
CFLAGS="$SAVE_CFLAGS"
AC_CONFIG_HEADERS([config.h:config.in])
-AC_CONFIG_FILES(Makefile systemtap.spec stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 lket.5 lket-b2a.1 runtime/lket/b2a/Makefile man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5)
+AC_CONFIG_FILES(Makefile systemtap.spec stap.1 stapprobes.5 stapfuncs.5 stapex.5 staprun.8 man/stapprobes.iosched.5 man/stapprobes.netdev.5 man/stapprobes.nfs.5 man/stapprobes.nfsd.5 man/stapprobes.pagefault.5 man/stapprobes.process.5 man/stapprobes.rpc.5 man/stapprobes.scsi.5 man/stapprobes.signal.5 man/stapprobes.socket.5 man/stapprobes.tcp.5 man/stapprobes.udp.5)
AC_CONFIG_SUBDIRS(testsuite)
AC_OUTPUT
diff --git a/cscope.files b/cscope.files
index 1aff4530..6af685df 100644
--- a/cscope.files
+++ b/cscope.files
@@ -32,8 +32,6 @@
./runtime/docs/examples/map.c
./runtime/docs/examples/template.c
./runtime/io.c
-./runtime/lket/b2a/lket_b2a.c
-./runtime/lket/b2a/lket_b2a.h
./runtime/loc2c-runtime.h
./runtime/map.c
./runtime/map-gen.c
diff --git a/main.cxx b/main.cxx
index eaf0a651..09435fad 100644
--- a/main.cxx
+++ b/main.cxx
@@ -228,12 +228,10 @@ main (int argc, char * const argv [])
if (s_p != NULL)
{
s.include_path.push_back (s_p);
- s.include_path.push_back (string(s_p) + "/LKET");
}
else
{
s.include_path.push_back (string(PKGDATADIR) + "/tapset");
- s.include_path.push_back (string(PKGDATADIR) + "/tapset/LKET");
}
const char* s_r = getenv ("SYSTEMTAP_RUNTIME");
diff --git a/man/stapprobes.iosched.5.in b/man/stapprobes.iosched.5.in
index 46b801a7..f638b2ff 100644
--- a/man/stapprobes.iosched.5.in
+++ b/man/stapprobes.iosched.5.in
@@ -97,5 +97,4 @@ Fires when a request is completed
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.netdev.5.in b/man/stapprobes.netdev.5.in
index 237f5d74..0510b07b 100644
--- a/man/stapprobes.netdev.5.in
+++ b/man/stapprobes.netdev.5.in
@@ -75,4 +75,3 @@ Fires when the network device wants to transmit a buffer
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.nfs.5.in b/man/stapprobes.nfs.5.in
index 851b22ac..bf575ae4 100644
--- a/man/stapprobes.nfs.5.in
+++ b/man/stapprobes.nfs.5.in
@@ -1233,5 +1233,4 @@ Fires whenever nfs client renames a file on server
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.nfsd.5.in b/man/stapprobes.nfsd.5.in
index 1be73832..8d30b38b 100644
--- a/man/stapprobes.nfsd.5.in
+++ b/man/stapprobes.nfsd.5.in
@@ -510,5 +510,4 @@ Fires whenever server receives NFS operation from client
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.pagefault.5.in b/man/stapprobes.pagefault.5.in
index 175121eb..ea93f325 100644
--- a/man/stapprobes.pagefault.5.in
+++ b/man/stapprobes.pagefault.5.in
@@ -37,5 +37,4 @@ Fires when there is a pagefault
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.process.5.in b/man/stapprobes.process.5.in
index 99418ea5..b725a907 100644
--- a/man/stapprobes.process.5.in
+++ b/man/stapprobes.process.5.in
@@ -103,5 +103,4 @@ process waits in a zombie state.
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.rpc.5.in b/man/stapprobes.rpc.5.in
index f976c76e..7f411de6 100644
--- a/man/stapprobes.rpc.5.in
+++ b/man/stapprobes.rpc.5.in
@@ -580,5 +580,4 @@ Fires when a task is to be delayed
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.scsi.5.in b/man/stapprobes.scsi.5.in
index b88b8c4c..bbebcc81 100644
--- a/man/stapprobes.scsi.5.in
+++ b/man/stapprobes.scsi.5.in
@@ -148,5 +148,4 @@ block device I/O requests
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.signal.5.in b/man/stapprobes.signal.5.in
index 15a43045..dc669b0c 100644
--- a/man/stapprobes.signal.5.in
+++ b/man/stapprobes.signal.5.in
@@ -506,5 +506,4 @@ Fires when flush all pending signals for a task
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.tcp.5.in b/man/stapprobes.tcp.5.in
index caf67f67..c5194261 100644
--- a/man/stapprobes.tcp.5.in
+++ b/man/stapprobes.tcp.5.in
@@ -99,5 +99,4 @@ Fires when returning from tcp.disconnect
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/man/stapprobes.udp.5.in b/man/stapprobes.udp.5.in
index d8b100c8..6e89adf0 100644
--- a/man/stapprobes.udp.5.in
+++ b/man/stapprobes.udp.5.in
@@ -99,5 +99,4 @@ Fires when returning from udp.disconnect
.SH SEE ALSO
.IR stap (1),
.IR stapprobes (5),
-.IR lket (5)
diff --git a/stap.1.in b/stap.1.in
index ddd2892f..41f39bc0 100644
--- a/stap.1.in
+++ b/stap.1.in
@@ -924,7 +924,6 @@ unloading.
.IR stapprobes (5),
.IR stapfuncs (5),
.IR stapex (5),
-.IR lket (5),
.IR awk (1),
.IR gdb (1)
diff --git a/stapprobes.5.in b/stapprobes.5.in
index 0df9a893..099c071f 100644
--- a/stapprobes.5.in
+++ b/stapprobes.5.in
@@ -341,5 +341,4 @@ refers to the group of probe aliases with any name in the third position
.IR stapprobes.socket (5),
.IR stapprobes.tcp (5),
.IR stapprobes.udp (5),
-.IR lket (5)
diff --git a/staprun.8.in b/staprun.8.in
index 72626533..fe52f170 100644
--- a/staprun.8.in
+++ b/staprun.8.in
@@ -152,7 +152,6 @@ user and not be world writable.
.IR stapprobes (5),
.IR stapfuncs (5),
.IR stapex (5),
-.IR lket (5),
.SH BUGS
Use the Bugzilla link off of the project web page or our mailing list.
diff --git a/systemtap.spec.in b/systemtap.spec.in
index 2f927a30..54c2e1cc 100644
--- a/systemtap.spec.in
+++ b/systemtap.spec.in
@@ -158,7 +158,6 @@ exit 0
%doc README AUTHORS NEWS COPYING examples
%{_bindir}/stap
-%{_bindir}/lket-b2a
%{_mandir}/man1/*
%{_mandir}/man5/*
diff --git a/testsuite/systemtap.pass1-4/buildok.exp b/testsuite/systemtap.pass1-4/buildok.exp
index 60830a4f..77e77181 100644
--- a/testsuite/systemtap.pass1-4/buildok.exp
+++ b/testsuite/systemtap.pass1-4/buildok.exp
@@ -8,7 +8,6 @@ foreach file [lsort [glob -nocomplain $srcdir/$self/*.stp]] {
buildok/perfmon01.stp {setup_kfail 909 *-*-*}
buildok/twentysix.stp {setup_kfail 4105 *-*-*}
buildok/twentyseven.stp {setup_kfail 4166 *-*-*}
- buildok/lket.stp {setup_kfail 1155 *-*-*}
buildok/process_test.stp {setup_kfail 1155 *-*-*}
buildok/sched_test.stp {setup_kfail 1155 *-*-*}
buildok/socket.stp {setup_kfail 4413 *-*-*}